<template>
	<main>
		<div class="container">
			<!-- Media Objects -->
			<div class="mb-24">
				<h2 class="page-title font-fira">Media Objects</h2>
				<figure class="media">
					<div class="media-figure">
						<img src="~assets/img/site-logo.png" alt="" width="64px" />
					</div>
					<div class="media-content">
						Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aperiam
						incidunt tempora ratione sapiente, nesciunt consectetur officiis
						commodi soluta. Sit sapiente veritatis non quia vitae, facilis nam
						rerum, reprehenderit modi. Fugiat?
					</div>
				</figure>

				<div class="text-size14">
					<pre><code class="code-container html">&lt;figure class=&quot;media&quot;&gt;
    &lt;div class=&quot;media-figure&quot;&gt;
        &lt;img src=&quot;...&quot; alt=&quot;&quot;&gt;
    &lt;/div&gt;
    &lt;div class=&quot;media-content&quot;&gt;
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aperiam incidunt tempora ratione sapiente,
        nesciunt consectetur officiis commodi soluta. Sit sapiente veritatis non quia vitae, facilis nam rerum, reprehenderit modi. Fugiat?
    &lt;/div&gt;
&lt;/figure&gt;</code></pre>
				</div>
			</div>
			<hr />

			<!-- With title, button and link -->
			<div class="mb-24">
				<h2 class="page-title font-fira">With Title, Button, and Link</h2>
				<figure class="media">
					<div class="media-figure">
						<img src="~assets/img/site-logo.png" alt="" width="150px" />
					</div>
					<div class="media-content">
						<h4 class="media-title text-primary">Title</h4>
						<p>
							Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
							eiusmod eiusmod tempor incididunt ut labore et dolore magna
							aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco
							nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in
							reprehenderit in voluptate velit esse cillum dolore eu fugiat
							nulla pariatur. Excepteur sint occaecat cupidatat non proident,
							sunt in culpa qui officia deserunt mollit anim id est laborum.
						</p>
						<p class="mb-0">
							<button class="btn--primary btn--small btn--icon mr-8">
								<i class="fas fa-thumbs-up"></i>
							</button>
							<a href="#">Visit somewhere...</a>
						</p>
					</div>
				</figure>

				<div class="text-size14">
					<pre><code class="code-container html">&lt;figure class=&quot;media&quot;&gt;
    &lt;div class=&quot;media-figure&quot;&gt;
        &lt;img src=&quot;...&quot; alt=&quot;&quot; width=&quot;150px&quot;&gt;
    &lt;/div&gt;
    &lt;div class=&quot;media-content&quot;&gt;
        &lt;h4 class=&quot;media-title text-primary&quot;&gt;Title&lt;/h4&gt;
        &lt;p&gt;
            Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
            tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
            quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
            consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
            cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
            proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
        &lt;/p&gt;
        &lt;p class=&quot;mb-0&quot;&gt;
            &lt;button class=&quot;btn--primary btn--small btn--icon mr-8&quot;&gt;&lt;i class=&quot;fas fa-thumbs-up&quot;&gt;&lt;/i&gt;&lt;/button&gt;
            &lt;a href=&quot;#&quot;&gt;Visit somewhere...&lt;/a&gt;
        &lt;/p&gt;
    &lt;/div&gt;
&lt;/figure&gt;</code></pre>
				</div>
			</div>
			<hr />
		</div>
	</main>
</template>

<script>
export default {
	name: 'MediaObjectPage'
}
</script>

<style lang="scss" scoped></style>
